Name:           vegastrike
Version:        0.5.1
Release:        32.r1%{?dist}
Summary:        3D OpenGL spaceflight simulator
Group:          Amusements/Games
License:        GPLv2+
URL:            http://vegastrike.sourceforge.net/
#Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.r1.tar.bz2
# Found in the mandriva srpm, origin Debian ?
Source1:        %{name}-manpages.tar.bz2
Source2:        %{name}-wrapper.sh
Source3:        %{name}.desktop
Source4:        %{name}.appdata.xml
Patch0:         vegastrike-0.5.1-char-fix.patch
Patch1:         vegastrike-0.5.1-paths-fix.patch
Patch2:         vegastrike-0.4.2-posh-fix.patch
Patch3:         vegastrike-0.4.2-vssetup-fix.patch
Patch4:         vegastrike-0.4.3-64-bit.patch
Patch5:         vegastrike-0.5.1-openal.patch
Patch6:         vegastrike-0.5.1-sys-python.patch
Patch8:         vegastrike-0.5.1-gcc44.patch
Patch9:         vegastrike-0.5.0-glext.patch
Patch14:        vegastrike-0.5.1-gcc47.patch
Patch15:        vegastrike-0.5.1-music.patch
Patch16:        vegastrike-0.5.1-gcc48.patch
Patch17:        vegastrike-0.5.1-boost154.patch
Patch18:        vegastrike-aarch64.patch
Patch19:        vegastrike-0.5.1-gcc6.patch
# https://sourceforge.net/p/vegastrike/patches/70/
Patch20:        vegastrike-0.5.1-gcc7.patch
BuildRequires:  libGLU-devel freeglut-devel libXi-devel libXmu-devel gtk2-devel
BuildRequires:  libjpeg-devel libpng-devel boost-devel expat-devel python-devel
BuildRequires:  SDL_mixer-devel openal-soft-devel freealut-devel
BuildRequires:  libvorbis-devel ogre-devel cegui-devel desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       %{name}-data = %{version}, xdg-utils, opengl-games-utils

%description
Vega Strike is a GPL 3D OpenGL Action RPG space sim that allows a player to
trade and bounty hunt. You start in an old beat up Wayfarer cargo ship, with
endless possibility before you and just enough cash to scrape together a life.
Yet danger lurks in the space beyond.


%prep
%setup -q -a 1 -n %{name}-src-%{version}.r1
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch8 -p0
%patch9 -p1
%patch14 -p1
%patch15 -p3
%patch16 -p0
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
iconv -f ISO-8859-1 -t UTF-8 README > README.tmp
touch -r README README.tmp
mv README.tmp README
sed -i 's/-lboost_python-st/-lboost_python/g' Makefile.in
# we want to use the system version of expat.h
rm objconv/mesher/expat.h


%build
export CXXFLAGS="$RPM_OPT_FLAGS -fsigned-char"
%configure --with-data-dir=%{_datadir}/%{name} --with-boost=system \
  --enable-release --enable-flags="-DBOOST_PYTHON_NO_PY_SIGNATURES $RPM_OPT_FLAGS -fsigned-char" --disable-ffmpeg \
  --enable-stencil-buffer
make %{?_smp_mflags}


%install
#make install PREFIX=$RPM_BUILD_ROOT doesn't work
%makeinstall
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
chmod +x $RPM_BUILD_ROOT%{_prefix}/objconv/*
mv $RPM_BUILD_ROOT%{_prefix}/objconv/* \
  $RPM_BUILD_ROOT%{_libexecdir}/%{name}
for i in asteroidgen base_maker mesh_xml mesher replace tempgen trisort \
         vsrextract vsrmake; do
  mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT%{_libexecdir}/%{name}
done

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 *.6 $RPM_BUILD_ROOT%{_mandir}/man6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE3}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/appdata
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml


%files
%doc AUTHORS DOCUMENTATION README ToDo.txt
%license COPYING
%{_bindir}/vega*
%{_bindir}/vs*
%{_libexecdir}/%{name}
%{_mandir}/man6/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Feb 07 2018 Hans de Goede <hdegoede@redhat.com> - 0.5.1-32.r1
- Rebuilt for new Boost

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-31.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-30.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Kalev Lember <klember@redhat.com> - 0.5.1-29.r1
- Rebuilt for Boost 1.64

* Fri Feb 17 2017 Jonathan Wakely <jwakely@redhat.com> - 0.5.1-28.r1
- Fix build failure with GCC 7

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-28.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 22 2016 Hans de Goede <hdegoede@redhat.com> - 0.5.1-27.r1
- Fix FTBFS (rhbz#1308225)
- Add appdata

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-26.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 28 2015 Jonathan Wakely <jwakely@redhat.com> - 0.5.1-25.r1
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-24.r1
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.5.1-23.r1
- rebuild for Boost 1.58

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-22.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.5.1-21.r1
- Rebuilt for GCC 5 C++11 ABI change

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 0.5.1-20.r1
- Rebuild for boost 1.57.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-19.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 24 2014 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 0.5.1-18.r1
- Added AArch64 definitions

* Sun Jun 08 2014 Hans de Goede <hdegoede@redhat.com> - 0.5.1-17.r1
- Rebuild for ogre-1.9

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-16.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 0.5.1-15.r1
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.5.1-14.r1
- rebuild for boost 1.55.0

* Mon Aug 05 2013 Hans de Goede <hdegoede@redhat.com> - 0.5.1-13.r1
- Fix building with boost 1.54

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-12.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 29 2013 Petr Machata <pmachata@redhat.com> - 0.5.1-11.r1
- Rebuild for boost 1.54.0

* Sun Feb 24 2013 Bruno Wolff III <bruno@wolff.to> - 0.5.1-10.r1
- Fix incorrect use of 0 as an int as opposed to (char *)

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.5.1-9.r1
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.5.1-8.r1
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.5.1-7.r1
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Mon Jan 21 2013 Adam Tkac <atkac redhat com> - 0.5.1-6.r1
- rebuild due to "jpeg8-ABI" feature drop

* Sun Dec 09 2012 Bruno Wolff III <bruno@wolff.to> - 0.5.1-4.r1
- Rebuild for ogre 1.8.1

* Sun Aug 12 2012 Bruno Wolff III <bruno@wolff.to> - 0.5.1-3.r1
- Rebuild for boost 1.50

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 29 2012 Bruno Wolff III <bruno@wolff.to> - 0.5.1-2.r1
- Apply upstream patch to fix music issue

* Wed Apr 04 2012 Bruno Wolff III <bruno@wolff.to> - 0.5.1-1.r1
- Update to 0.5.1 release

* Sun Apr 01 2012 Bruno Wolff III <bruno@wolff.to> - 0.5.1-0.8.beta1.2
- Rebuild for ogre 1.7.4

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-0.7.beta1.2
- Rebuilt for c++ ABI breakage

* Tue Jan 17 2012 Hans de Goede <hdegoede@redhat.com> - 0.5.1-0.6.beta1.2
- Fix building with gcc-4.7

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-0.5.beta1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 20 2011 Bruno Wolff III <bruno@wolff.to> - 0.5.1-0.4.beta1.2
- Rebuild for boost soname bump

* Sun Nov 06 2011 Bruno Wolff III <bruno@wolff.to> - 0.5.1-0.3.beta1.2
- Change direct png struct reference to use an accessor for linpng 1.5

* Fri Jul 22 2011 Bruno Wolff III <bruno@wolff.to> - 0.5.1-0.2.beta1.2
- Rebuild for boost 1.47

* Sat Jul 09 2011 Bruno Wolff III <bruno@wolff.to> - 0.5.1-0.1.beta1.2
- Update to upstream 0.5.1.beta1-2
- Adjust existing patches for the update
- Handle the boost_thread to boost_thread_mt change.

* Tue May 17 2011 Bruno Wolff III <bruno@wolff.to> - 0.5.0-23
- Rebuild for ogre 1.7.3

* Thu Apr 07 2011 Hans de Goede <hdegoede@redhat.com> - 0.5.0-22
- Rebuild for new boost

* Thu Feb 10 2011 Hans de Goede <hdegoede@redhat.com> - 0.5.0-21
- Rebuild for new boost
- Fix building with gcc-4.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Hans de Goede <hdegoede@redhat.com> 0.5.0-19
- Rebuild for new ogre

* Sat Jul 31 2010 Hans de Goede <hdegoede@redhat.com> 0.5.0-18
- Fix building with gcc-4.5

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.0-17
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.0-16
- Rebuild for Boost soname bump

* Thu Dec 10 2009 Hans de Goede <hdegoede@redhat.com> 0.5.0-15
- Rebuild for silent boost-python ABI breakage (#540277)

* Mon Sep 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.0-14
- Rebuild for new ogre

* Sun Aug 16 2009 Hans de Goede <hdegoede@redhat.com> 0.5.0-13
- Switch to openal-soft

* Mon Aug  3 2009 Hans de Goede <hdegoede@redhat.com> 0.5.0-12
- Fix building with latest OpenGL headers

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Hans de Goede <hdegoede@redhat.com> 0.5.0-10
- Rebuild for new boost and new ogre

* Tue Mar 03 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.0-9
- Rebuild for new ogre

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 Benjamin Kosnik  <bkoz@redhat.com> - 0.5.0-7
- Add boost-make_shared.patch
- Use -DBOOST_PYTHON_NO_PY_SIGNATURES.
- Rebuild for boost-1.37.0.

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5.0-6
- Rebuild for Python 2.6

* Thu Oct  2 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.0-5
- Rebuild for new ogre

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 0.5.0-4
- Fix patch fuzz build failure

* Wed Jul  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-3
- Rebuild for new ogre

* Tue May 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-2
- Rebuild for new ogre

* Sat May  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-1
- New upstream release 0.5.0

* Sun Apr 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-9
- Use xdg-open instead of gedit to show the user the readme (bz 442063)

* Thu Feb 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-8
- Fix building with gcc 4.3
- Rebuild for gcc 4.3

* Mon Sep 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-7
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Tue Aug 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-6
- Rebuild for new expat 2.0

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-5
- Rebuild for buildId

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-4
- Update License tag for new Licensing Guidelines compliance
- Rebuild against new boost

* Wed May  9 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-3
- Add some missing files including COPYING to %%doc
- Fix PPC compilation

* Mon Apr 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-2
- Add some missing BuildRequires
- Keep system python paths in python path

* Fri Mar 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-1
- Initial Fedora Extras package, partially based on Mandriva contrib SRPM
